#include <stdlib.h>
#include <stdio.h>

#define FILNAMN "exempel1M.txt"
#define ANTAL_RADER 1000000
#define ANTAL_APRADER 10

int main(void) {
    FILE* tsut;
    int rad = 0;
    int antal_apor = 0;
    int antal_ord = 0;
    int apintervall = ANTAL_RADER / ANTAL_APRADER;

    tsut = fopen(FILNAMN, "w");
    if (tsut == NULL) {
        fprintf(stderr, "Kunde inte skriva filen '%s'.\n", FILNAMN);
        exit(EXIT_FAILURE);
    }

    for (rad = 0; rad < ANTAL_RADER; ++rad) {
        if (rad % apintervall == 0) {
            fprintf(tsut, "apa http://www.webbplats%d.se/webbsida%d.html\n",
                    rad % 917281 + 1, rad % 197 + 1);
            ++antal_apor;
        }
        else {
            fprintf(tsut, "ord%d http://www.webbplats%d.se/webbsida%d.html\n",
                    ++antal_ord, rad % 917281 + 1, rad % 197 + 1);
        }
    }

    if (fclose(tsut) != 0) {
        fprintf(stderr, "Oj! Det blev fel vid skrivningen av filen '%s'.\n", FILNAMN);
        exit(EXIT_FAILURE);
    }

    if (antal_apor != ANTAL_APRADER) {
        fprintf(stderr, "Det blev FEL antal apor p filen. Det borde inte kunna hnda.\n");
        exit(EXIT_FAILURE);
    }

    printf("Klart. Filen '%s' skapad med %d rader, %d apa-rader, och %d unika ord (inklusive \"apa\").\n",
           FILNAMN, ANTAL_RADER, ANTAL_APRADER, antal_ord + 1);

    return EXIT_SUCCESS;
}
